<?php
// Добавляем настройку в события календаря - фильтр
$result = run_query("SHOW COLUMNS FROM `" . $config['table_prefix'] . "calendar_events` LIKE 'separator'");
if (!sql_fetch_assoc($result)) {
    run_query("ALTER TABLE `" . $config['table_prefix'] . "calendar_events` ADD `separator` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL");
    run_query("UPDATE `" . $config['table_prefix'] . "calendar_events` SET `separator`='>'");
}
// Удаляем событие по умолчанию
$result = run_query("SHOW COLUMNS FROM `" . $config['table_prefix'] . "calendar_events` LIKE 'default_event'");
if (sql_fetch_assoc($result)) {
    run_query("ALTER TABLE `" . $config['table_prefix'] . "calendar_events` DROP `default_event`");
}
?>